;======================================================================
;======================================================================
; Commands file for "Minagi Tohno"
;======================================================================
;======================================================================

;----------------------------------------------------------------------
; Button remapping and default initialize
;----------------------------------------------------------------------

[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

[Defaults]
command.time = 15
command.buffer.time = 1

;----------------------------------------------------------------------
; Final Memory
;----------------------------------------------------------------------

[Command]
name = "222z"
command = ~D, D, D, z
time = 30

;----------------------------------------------------------------------
; Eterny Special
;----------------------------------------------------------------------

[Command]
name = "2141236c"
command = ~D, B, D, F, c
time = 30

[Command]
name = "2141236b"
command = ~D, B, D, F, b
time = 30

[Command]
name = "2141236a"
command = ~D, B, D, F, a
time = 30

[Command]
name = "214214c"
command = ~D, B, D, B, c
time = 20

[Command]
name = "214214b"
command = ~D, B, D, B, b
time = 20

[Command]
name = "214214a"
command = ~D, B, D, B, a
time = 20

[Command]
name = "236236c"
command = ~D, F, D, F, c
time = 20

[Command]
name = "236236b"
command = ~D, F, D, F, b
time = 20

[Command]
name = "236236a"
command = ~D, F, D, F, a
time = 20

;----------------------------------------------------------------------
; Special Moves
;----------------------------------------------------------------------

[Command]
name = "41236c"
command = ~B, D, F, c
time = 20

[Command]
name = "41236b"
command = ~B, D, F, b
time = 20

[Command]
name = "41236a"
command = ~B, D, F, a
time = 20

[Command]
name = "421c"
command = ~B, D, DB, c
time = 15

[Command]
name = "421b"
command = ~B, D, DB, b
time = 15

[Command]
name = "421a"
command = ~B, D, DB, a
time = 15

[Command]
name = "623c"
command = ~F, D, DF, c
time = 15

[Command]
name = "623b"
command = ~F, D, DF, b
time = 15

[Command]
name = "623a"
command = ~F, D, DF, a
time = 15

[Command]
name = "214c"
command = ~D, B, c
time = 10

[Command]
name = "214b"
command = ~D, B, b
time = 10

[Command]
name = "214a"
command = ~D, B, a
time = 10

[Command]
name = "236c"
command = ~D, F, c
time = 10

[Command]
name = "236b"
command = ~D, F, b
time = 10

[Command]
name = "236a"
command = ~D, F, a
time = 10

[Command]
name = "22c"
command = ~D, D, c
time = 15

;----------------------------------------------------------------------
; Single Button
;----------------------------------------------------------------------

[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

;----------------------------------------------------------------------
; Directions
;----------------------------------------------------------------------

[Command]
name = "holdfwd"
command = /$F
time = 1

[Command]
name = "holdback"
command = /$B
time = 1

[Command]
name = "holdup"
command = /$U
time = 1

[Command]
name = "holddown"
command = /$D
time = 1

[Command]
name = "up"
command = $U
time = 1

;----------------------------------------------------------------------
; Others
;----------------------------------------------------------------------

[Command]
name = "ab"
command = a+b 
time = 1

[Command]
name = "bc"
command = b+c 
time = 1

[Command]
name = "ac"
command = a+c
time = 1

;----------------------------------------------------------------------
; System Required
;----------------------------------------------------------------------

[Command]
name = "FF"
command = F, F
time = 10

[Command]
name = "BB"
command = B, B
time = 10

[Command]
name = "FF_2"
command = F, F
time = 15

[Command]
name = "BB_2"
command = B, B
time = 15

[Command]
name = "DD"
command = D, D
time = 10

[Command]
name = "recovery"
command = x
time = 1

[Command]
name = "recovery"
command = y
time = 1

[Command]
name = "recovery"
command = z
time = 1

[Command]
name = "recovery"
command = a
time = 1

[Command]
name = "recovery"
command = b
time = 1

[Command]
name = "recovery"
command = c
time = 1

;======================================================================
;======================================================================
; Statedef -1
;======================================================================
;======================================================================

[Statedef -1]

;----------------------------------------------------------------------
; Hyper Special Moves
;----------------------------------------------------------------------

[State -1, 222Z]
type = ChangeState
triggerall = command = "222z"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = ((Life*100)/LifeMax) <= 33
triggerall = Power >= 3000
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,370]) && StateNo != 270 && (var(1) = [1,3])
trigger3 = (StateNo = [100,101]) || (StateNo = 106)
value = 7000

;----------------------------------------------------------------------
; Super Special Moves
;----------------------------------------------------------------------

[State -1, 2141236A]
type = ChangeState
triggerall = command = "2141236a"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = Power >= 1000
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,370]) && StateNo != 270 && (var(1) = [1,3])
trigger3 = (StateNo = [100,101]) || (StateNo = 106)
value = 6200

[State -1, 2141236A]
type = ChangeState
triggerall = command = "2141236b" || command = "2141236c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = Power = [1000,1999]
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,370]) && StateNo != 270 && (var(1) = [1,3])
trigger3 = (StateNo = [100,101]) || (StateNo = 106)
value = 6200

[State -1, 2141236B]
type = ChangeState
triggerall = command = "2141236b"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = Power >= 2000
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,370]) && StateNo != 270 && (var(1) = [1,3])
trigger3 = (StateNo = [100,101]) || (StateNo = 106)
value = 6210

[State -1, 2141236B]
type = ChangeState
triggerall = command = "2141236c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = Power = [2000,2999]
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,370]) && StateNo != 270 && (var(1) = [1,3])
trigger3 = (StateNo = [100,101]) || (StateNo = 106)
value = 6210

[State -1, 2141236C]
type = ChangeState
triggerall = command = "2141236c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = Power >= 3000
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,370]) && StateNo != 270 && (var(1) = [1,3])
trigger3 = (StateNo = [100,101]) || (StateNo = 106)
value = 6220

[State -1, 236236A]
type = ChangeState
triggerall = command = "236236a"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = Power >= 1000
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [400,420]) && (var(1) = [1,3])
value = 6050

[State -1, 236236A]
type = ChangeState
triggerall = command = "236236b" || command = "236236c"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = Power = [1000,1999]
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [400,420]) && (var(1) = [1,3])
value = 6050

[State -1, 236236B]
type = ChangeState
triggerall = command = "236236b"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = Power >= 2000
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [400,420]) && (var(1) = [1,3])
value = 6060

[State -1, 236236B]
type = ChangeState
triggerall = command = "236236c"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = Power = [2000,2999]
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [400,420]) && (var(1) = [1,3])
value = 6060

[State -1, 236236B]
type = ChangeState
triggerall = command = "236236c"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = Power >= 3000
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [400,420]) && (var(1) = [1,3])
value = 6070

[State -1, 236236A]
type = ChangeState
triggerall = command = "236236a"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = Power >= 1000
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,370]) && StateNo != 270 && (var(1) = [1,3])
trigger3 = (StateNo = [100,101]) || (StateNo = 106)
value = 6000

[State -1, 236236A]
type = ChangeState
triggerall = command = "236236b" || command = "236236c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = Power = [1000,1999]
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,370]) && StateNo != 270 && (var(1) = [1,3])
trigger3 = (StateNo = [100,101]) || (StateNo = 106)
value = 6000

[State -1, 236236B]
type = ChangeState
triggerall = command = "236236b"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = Power >= 2000
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,370]) && StateNo != 270 && (var(1) = [1,3])
trigger3 = (StateNo = [100,101]) || (StateNo = 106)
value = 6010

[State -1, 236236B]
type = ChangeState
triggerall = command = "236236c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = Power = [2000,2999]
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,370]) && StateNo != 270 && (var(1) = [1,3])
trigger3 = (StateNo = [100,101]) || (StateNo = 106)
value = 6010

[State -1, 236236B]
type = ChangeState
triggerall = command = "236236c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = Power >= 3000
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,370]) && StateNo != 270 && (var(1) = [1,3])
trigger3 = (StateNo = [100,101]) || (StateNo = 106)
value = 6020

[State -1, 214214A]
type = ChangeState
triggerall = command = "214214a"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = Power >= 1000
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [400,420]) && (var(1) = [1,3])
value = 6150

[State -1, 214214A]
type = ChangeState
triggerall = command = "214214b" || command = "214214c"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = Power = [1000,1999]
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [400,420]) && (var(1) = [1,3])
value = 6150

[State -1, 214214B]
type = ChangeState
triggerall = command = "214214b"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = Power >= 2000
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [400,420]) && (var(1) = [1,3])
value = 6160

[State -1, 214214B]
type = ChangeState
triggerall = command = "214214c"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = Power = [2000,2999]
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [400,420]) && (var(1) = [1,3])
value = 6160

[State -1, 214214C]
type = ChangeState
triggerall = command = "214214c"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = Power >= 3000
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [400,420]) && (var(1) = [1,3])
value = 6170

[State -1, 214214A]
type = ChangeState
triggerall = command = "214214a"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = Power >= 1000
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,370]) && StateNo != 270 && (var(1) = [1,3])
trigger3 = (StateNo = [100,101]) || (StateNo = 106)
value = 6100

[State -1, 214214A]
type = ChangeState
triggerall = command = "214214b" || command = "214214c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = Power = [1000,1999]
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,370]) && StateNo != 270 && (var(1) = [1,3])
trigger3 = (StateNo = [100,101]) || (StateNo = 106)
value = 6100

[State -1, 214214B]
type = ChangeState
triggerall = command = "214214b"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = Power >= 2000
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,370]) && StateNo != 270 && (var(1) = [1,3])
trigger3 = (StateNo = [100,101]) || (StateNo = 106)
value = 6110

[State -1, 214214B]
type = ChangeState
triggerall = command = "214214c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = Power = [2000,2999]
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,370]) && StateNo != 270 && (var(1) = [1,3])
trigger3 = (StateNo = [100,101]) || (StateNo = 106)
value = 6110

[State -1, 214214C]
type = ChangeState
triggerall = command = "214214c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = Power >= 3000
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,370]) && StateNo != 270 && (var(1) = [1,3])
trigger3 = (StateNo = [100,101]) || (StateNo = 106)
value = 6120

;----------------------------------------------------------------------
; Super Moves
;----------------------------------------------------------------------

[State -1, 41236A]
type = ChangeState
triggerall = command = "41236a"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(11400) = 0
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,370]) && StateNo != 270 && (var(1) = [1,3])
trigger3 = (StateNo = [100,101]) || (StateNo = 106)
value = 1400

[State -1, 41236B]
type = ChangeState
triggerall = command = "41236b"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(11400) = 0
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,370]) && StateNo != 270 && (var(1) = [1,3])
trigger3 = (StateNo = [100,101]) || (StateNo = 106)
value = 1410

[State -1, 41236C]
type = ChangeState
triggerall = command = "41236c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(11400) = 0
triggerall = fvar(16) != [2,3]
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,370]) && StateNo != 270 && (var(1) = [1,3])
trigger3 = (StateNo = [100,101]) || (StateNo = 106)
value = 1410

[State -1, 41236C]
type = ChangeState
triggerall = command = "41236c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(11400) = 0
triggerall = (fvar(16) = 2 && fvar(15) > 100) || fvar(16) = 3 
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,370]) && StateNo != 270 && (var(1) = [1,3])
trigger3 = (StateNo = [100,101]) || (StateNo = 106)
value = 1420

[State -1, 623A]
type = ChangeState
triggerall = command = "623a"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,370]) && StateNo != 270 && (var(1) = [1,3])
trigger3 = (StateNo = [100,101]) || (StateNo = 106)
value = 1200

[State -1, 623B]
type = ChangeState
triggerall = command = "623b"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,370]) && StateNo != 270 && (var(1) = [1,3])
trigger3 = (StateNo = [100,101]) || (StateNo = 106)
value = 1210

[State -1, 623C]
type = ChangeState
triggerall = command = "623c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = fvar(16) != [2,3]
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,370]) && StateNo != 270 && (var(1) = [1,3])
trigger3 = (StateNo = [100,101]) || (StateNo = 106)
value = 1210

[State -1, 623C]
type = ChangeState
triggerall = command = "623c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = (fvar(16) = 2 && fvar(15) > 100) || fvar(16) = 3 
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,370]) && StateNo != 270 && (var(1) = [1,3])
trigger3 = (StateNo = [100,101]) || (StateNo = 106)
value = 1220

[State -1, 421A]
type = ChangeState
triggerall = command = "421a"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,370]) && StateNo != 270 && (var(1) = [1,3])
trigger3 = (StateNo = [100,101]) || (StateNo = 106)
value = 1100

[State -1, 421B]
type = ChangeState
triggerall = command = "421b"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,370]) && StateNo != 270 && (var(1) = [1,3])
trigger3 = (StateNo = [100,101]) || (StateNo = 106)
value = 1110

[State -1, 421C]
type = ChangeState
triggerall = command = "421c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = fvar(16) != [2,3]
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,370]) && StateNo != 270 && (var(1) = [1,3])
trigger3 = (StateNo = [100,101]) || (StateNo = 106)
value = 1110

[State -1, 421C]
type = ChangeState
triggerall = command = "421c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = (fvar(16) = 2 && fvar(15) > 100) || fvar(16) = 3 
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,370]) && StateNo != 270 && (var(1) = [1,3])
trigger3 = (StateNo = [100,101]) || (StateNo = 106)
value = 1120

[State -1, 421A]
type = ChangeState
triggerall = command = "421a"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [400,420]) && (var(1) = [1,3])
value = 1150

[State -1, 421B]
type = ChangeState
triggerall = command = "421b"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [400,420]) && (var(1) = [1,3])
value = 1160

[State -1, 421C]
type = ChangeState
triggerall = command = "421c"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = fvar(16) != [2,3]
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [400,420]) && (var(1) = [1,3])
trigger3 = (StateNo = [100,101]) || (StateNo = 106)
value = 1160

[State -1, 421C]
type = ChangeState
triggerall = command = "421c"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = (fvar(16) = 2 && fvar(15) > 100) || fvar(16) = 3 
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [400,420]) && (var(1) = [1,3])
trigger3 = (StateNo = [100,101]) || (StateNo = 106)
value = 1170

[State -1, 236A]
type = ChangeState
triggerall = command = "236a"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,370]) && StateNo != 270 && (var(1) = [1,3])
trigger3 = (StateNo = [100,101]) || (StateNo = 106)
value = 1000

[State -1, 236B]
type = ChangeState
triggerall = command = "236b"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,370]) && StateNo != 270 && (var(1) = [1,3])
trigger3 = (StateNo = [100,101]) || (StateNo = 106)
value = 1010

[State -1, 236C]
type = ChangeState
triggerall = command = "236c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = fvar(16) != [2,3]
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,370]) && StateNo != 270 && (var(1) = [1,3])
trigger3 = (StateNo = [100,101]) || (StateNo = 106)
value = 1010

[State -1, 236C]
type = ChangeState
triggerall = command = "236c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = (fvar(16) = 2 && fvar(15) > 100) || fvar(16) = 3 
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,370]) && StateNo != 270 && (var(1) = [1,3])
trigger3 = (StateNo = [100,101]) || (StateNo = 106)
value = 1020

[State -1, 236A]
type = ChangeState
triggerall = command = "236a"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [400,420]) && (var(1) = [1,3])
value = 1050

[State -1, 236B]
type = ChangeState
triggerall = command = "236b"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [400,420]) && (var(1) = [1,3])
value = 1060

[State -1, 236C]
type = ChangeState
triggerall = command = "236c"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = fvar(16) != [2,3]
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [400,420]) && (var(1) = [1,3])
value = 1060

[State -1, 236C]
type = ChangeState
triggerall = command = "236c"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = (fvar(16) = 2 && fvar(15) > 100) || fvar(16) = 3 
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [400,420]) && (var(1) = [1,3])
value = 1070

[State -1, 214A]
type = ChangeState
triggerall = command = "214a"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,370]) && StateNo != 270 && (var(1) = [1,3])
trigger3 = (StateNo = [100,101]) || (StateNo = 106)
value = 1300

[State -1, 214B]
type = ChangeState
triggerall = command = "214b"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,370]) && StateNo != 270 && (var(1) = [1,3])
trigger3 = (StateNo = [100,101]) || (StateNo = 106)
value = 1310

[State -1, 214C]
type = ChangeState
triggerall = command = "214c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = fvar(16) != [2,3]
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,370]) && StateNo != 270 && (var(1) = [1,3])
trigger3 = (StateNo = [100,101]) || (StateNo = 106)
value = 1310

[State -1, 214C]
type = ChangeState
triggerall = command = "214c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = (fvar(16) = 2 && fvar(15) > 100) || fvar(16) = 3 
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,370]) && StateNo != 270 && (var(1) = [1,3])
trigger3 = (StateNo = [100,101]) || (StateNo = 106)
value = 1320

[State -1, 214A]
type = ChangeState
triggerall = command = "214a"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [400,420]) && (var(1) = [1,3])
value = 1350

[State -1, 214B]
type = ChangeState
triggerall = command = "214b"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [400,420]) && (var(1) = [1,3])
value = 1360

[State -1, 214C]
type = ChangeState
triggerall = command = "214c"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = fvar(16) != [2,3]
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [400,420]) && (var(1) = [1,3])
value = 1360

[State -1, 214C]
type = ChangeState
triggerall = command = "214c"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = (fvar(16) = 2 && fvar(15) > 100) || fvar(16) = 3 
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [400,420]) && (var(1) = [1,3])
value = 1370

[State -1, 6Z]
type = ChangeState
triggerall = command = "z"
triggerall = command = "holdfwd"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = 1
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,370]) && StateNo != 270 && (var(1) = [1,3])
trigger3 = (StateNo = [100,101]) || (StateNo = 106)
value = 710

[State -1, 4Z]
type = ChangeState
triggerall = command = "z"
triggerall = command = "holdback"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = 1
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,370]) && StateNo != 270 && (var(1) = [1,3])
trigger3 = (StateNo = [100,101]) || (StateNo = 106)
value = 720

[State -1, 6Z]
type = ChangeState
triggerall = command = "z"
triggerall = command != "holdfwd"
triggerall = command != "holdback"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,370]) && StateNo != 270 && (var(1) = [1,3])
trigger3 = (StateNo = [100,101]) || (StateNo = 106)
value = 700

;----------------------------------------------------------------------
; Special Moves
;----------------------------------------------------------------------

[State -1, Instant Charge]
type = ChangeState
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = (fvar(16) = 2 && fvar(15) > 100) || fvar(16) = 3 
trigger1 = (StateNo = [200,420]) && (var(1) >= 1) && command = "22c"
trigger2 = (StateNo = [1200,1299]) && var(16) = 1
trigger3 = (StateNo = [1400,1499]) && var(16) = 1
trigger4 = (StateNo = 510) && (AnimElemTime(3) >= 1) && command = "22c"
value = 600

[State -1, Instant Charge]
type = ChangeState
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = (fvar(16) = 2 && fvar(15) > 100) || fvar(16) = 3 
trigger1 = (StateNo = [200,420]) && (var(1) >= 1) && command = "22c"
trigger2 = (StateNo = [1400,1499]) && var(16) = 1
value = 610

[State -1, Dash]
type = ChangeState
triggerall = command = "FF"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = StateNo != 100
triggerall = StateNo != 105
trigger1 = Ctrl
trigger2 = StateNo = 101 || StateNo = 106
value = 100

[State -1, Back Dash]
type = ChangeState
triggerall = command = "BB"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = StateNo != 100
triggerall = StateNo != 105
trigger1 = Ctrl
trigger2 = StateNo = 101 || StateNo = 106
value = 105

[State -1, Air Dash]
type = ChangeState
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = StateNo != [110,116]
triggerall = var(6) = 0
trigger1 = Ctrl && command = "FF"
trigger2 = (StateNo = [400,420]) && (var(1) >= 1) && command = "FF"
trigger3 = (StateNo = [400,420]) && (var(1) >= 1) && var(27) = 1
value = 110

[State -1, Air Jump]
type = ChangeState
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(5) < 1
triggerall = Ctrl
trigger1 = var(7) = 1
value = 45

[State -1, Air Back Dash]
type = ChangeState
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = StateNo != [110,116]
triggerall = var(6) = 0
trigger1 = Ctrl && command = "BB"
trigger2 = (StateNo = [400,420]) && (var(1) >= 1) && command = "BB"
trigger3 = (StateNo = [400,420]) && (var(1) >= 1) && var(27) = 2
value = 115

[State -1, Jump Cancel - in Ground]
type = ChangeState
triggerall = command = "up" || command = "holdup"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
trigger1 = (StateNo = 200) && (var(1) = [1,3])
trigger2 = (StateNo = 210) && (var(1) = [1,3])
trigger3 = (StateNo = 230) && (var(1) = 1)
trigger4 = (StateNo = 300) && (var(1) = [1,3])
trigger5 = (StateNo = 310) && (var(1) = [1,3])
trigger6 = (StateNo = 370) && (var(1) = 1)
value = 40

[State -1, Dash Jump]
type = ChangeState
triggerall = command = "up"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
trigger1 = StateNo = 100
value = 40

[State -1, Jump Cancel - in Air]
type = ChangeState
triggerall = command = "up" || command = "holdup"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(5) < 1
triggerall = var(1) = [1,3]
trigger1 = StateNo = [400,420]
trigger2 = StateNo = 370
value = 45

[State -1, Throw - in Ground]
type = ChangeState
triggerall = command = "c"
triggerall = StateType = S
triggerall = MoveType = I
triggerall = P2BodyDist X < 20
triggerall = P2MoveType != H
triggerall = P2StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = Ctrl
triggerall = P2StateNo != [120,155]
trigger1 = command = "holdfwd"
trigger2 = command = "holdback"
value = 500

[State -1, Throw - in Ariel]
type = ChangeState
triggerall = command = "c"
triggerall = StateType = A
triggerall = P2StateType = A
triggerall = P2BodyDist X < 20
triggerall = Alive
triggerall = !isHelper
triggerall = P2StateNo != [120,155]
triggerall = Ctrl
trigger1 = command = "holdfwd"
value = 520

;----------------------------------------------------------------------
; Basic Attacks
;----------------------------------------------------------------------

[State -1, Stand Light Attack]
type = ChangeState
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
trigger1 = Ctrl || var(14) = 1
trigger2 = StateNo = 200 && (var(1) = [1,3])
trigger3 = StateNo = 300 && (var(1) = [1,3])
value = 200

[State -1, Dash Stand Light Attack]
type = ChangeState
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = command != "holdback"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
trigger1 = StateNo = 100 && AnimElemTime(2) > 0
value = 250

[State -1, Stand Medium Attack(Near)]
type = ChangeState
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = P2BodyDist X <= 30
trigger1 = Ctrl || var(14) = 1
trigger2 = StateNo = 200 && (var(1) = [1,3])
trigger3 = StateNo = 300 && (var(1) = [1,3])
value = 210

[State -1, Dash Stand Medium Attack]
type = ChangeState
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = command != "holdback"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
trigger1 = StateNo = 100 && AnimElemTime(2) > 0
value = 260

[State -1, Stand Medium Attack(far)]
type = ChangeState
triggerall = command = "b"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = command != "holddown"
trigger1 = P2BodyDist X > 30
trigger1 = Ctrl || var(14) = 1
trigger2 = P2BodyDist X > 30
trigger2 = StateNo = 200 && (var(1) = [1,3])
trigger3 = StateNo = 210 && (var(1) = [1,3])
trigger4 = P2BodyDist X > 30
trigger4 = StateNo = 300 && (var(1) = [1,3])
trigger5 = StateNo = 310 && (var(1) = [1,3])
value = 220

[State -1, Stand Medium Attack(far)]
type = ChangeState
triggerall = command = "b"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
trigger1 = StateNo = 310 && (var(1) = [1,3])
value = 220

[State -1, Stand Strong Attack]
type = ChangeState
triggerall = command = "c"
triggerall = command != "holddown"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
trigger1 = Ctrl || var(14) = 1
trigger2 = StateNo = 200 && (var(1) = [1,3])
trigger3 = StateNo = 210 && (var(1) = [1,3])
trigger4 = StateNo = 220 && (var(1) = [1,3])
trigger5 = StateNo = 300 && (var(1) = [1,3])
trigger6 = StateNo = 310 && (var(1) = [1,3])
value = 230

[State -1, Dash Stand Strong Attack]
type = ChangeState
triggerall = command = "c"
triggerall = command != "holddown"
triggerall = command != "holdback"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
trigger1 = StateNo = 100 && AnimElemTime(2) > 0
value = 270

[State -1, Crouch Light Attack]
type = ChangeState
triggerall = command = "a"
triggerall = command = "holddown"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
trigger1 = Ctrl || var(14) = 1
trigger2 = StateNo = 200 && (var(1) = [1,3])
trigger3 = StateNo = 300 && (var(1) = [1,3])
value = 300

[State -1, Dash Crouch Light Attack]
type = ChangeState
triggerall = command = "a"
triggerall = command = "holddown"
triggerall = command != "holdback"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
trigger1 = StateNo = [100,101]
value = 350

[State -1, Crouch Medium Attack]
type = ChangeState
triggerall = command = "b"
triggerall = command = "holddown"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
trigger1 = Ctrl || var(14) = 1
trigger2 = StateNo = 200 && (var(1) = [1,3])
trigger3 = StateNo = 300 && (var(1) = [1,3])
value = 310

[State -1, Dash Crouch Medium Attack]
type = ChangeState
triggerall = command = "b"
triggerall = command = "holddown"
triggerall = command != "holdback"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
trigger1 = StateNo = [100,101]
value = 360

[State -1, Crouch Strong Attack]
type = ChangeState
triggerall = command = "c"
triggerall = command = "holddown"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
trigger1 = Ctrl || var(14) = 1
trigger2 = StateNo = 200 && (var(1) = [1,3])
trigger3 = StateNo = 210 && (var(1) = [1,3])
trigger4 = StateNo = 220 && (var(1) = [1,3])
trigger5 = StateNo = 300 && (var(1) = [1,3])
trigger6 = StateNo = 310 && (var(1) = [1,3])
value = 320

[State -1, Dash Crouch Strong Attack]
type = ChangeState
triggerall = command = "c"
triggerall = command = "holddown"
triggerall = command != "holdback"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
trigger1 = StateNo = [100,101]
value = 370

[State -1, Ariel Light Attack]
type = ChangeState
triggerall = command = "a"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
trigger1 = Ctrl || var(14) = 1
trigger2 = StateNo = 400 && (var(1) = [1,3])
value = 400

[State -1, Ariel Medium Attack]
type = ChangeState
triggerall = command = "b"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
trigger1 = Ctrl || var(14) = 1
trigger2 = StateNo = 400 && (var(1) = [1,3])
value = 410

[State -1, Ariel Strong Attack]
type = ChangeState
triggerall = command = "c"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
trigger1 = Ctrl || var(14) = 1
trigger2 = StateNo = 400 && (var(1) = [1,3])
trigger3 = StateNo = 410 && (var(1) = [1,3])
value = 420

;======================================================================
;======================================================================
; Early Input
;======================================================================
;======================================================================

;----------------------------------------------------------------------
; Super Moves - Early Input
;----------------------------------------------------------------------

[State -1, 6Z]
type = VarSet
triggerall = command = "z"
triggerall = command = "holdfwd"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = 1
trigger1 = StateNo = 125
var(18) = 710

[State -1, 4Z]
type = VarSet
triggerall = command = "z"
triggerall = command = "holdback"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = 1
trigger1 = StateNo = 125
var(18) = 720

[State -1, 236A]
type = VarSet
triggerall = command = "236a"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
trigger1 = StateNo = 125
var(18) = 1000

[State -1, 236B]
type = VarSet
triggerall = command = "236b"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
trigger1 = StateNo = 125
var(18) = 1010

[State -1, 236C]
type = VarSet
triggerall = command = "236c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = fvar(16) != [2,3]
trigger1 = StateNo = 125
var(18) = 1010

[State -1, 236C]
type = VarSet
triggerall = command = "236c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = (fvar(16) = 2 && fvar(15) > 100) || fvar(16) = 3 
trigger1 = StateNo = 125
var(18) = 1020

[State -1, 236A]
type = VarSet
triggerall = command = "236a"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
trigger1 = StateNo = 125
var(18) = 1050

[State -1, 236B]
type = VarSet
triggerall = command = "236b"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
trigger1 = StateNo = 125
var(18) = 1060

[State -1, 236C]
type = VarSet
triggerall = command = "236c"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = fvar(16) != [2,3]
trigger1 = StateNo = 125
var(18) = 1070

[State -1, 236C]
type = VarSet
triggerall = command = "236c"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = (fvar(16) = 2 && fvar(15) > 100) || fvar(16) = 3 
trigger1 = StateNo = 125
var(18) = 1070

[State -1, 214A]
type = VarSet
triggerall = command = "214a"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
trigger1 = StateNo = 125
var(18) = 1300

[State -1, 214B]
type = VarSet
triggerall = command = "214b"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
trigger1 = StateNo = 125
var(18) = 1310

[State -1, 214C]
type = VarSet
triggerall = command = "214c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = fvar(16) != [2,3]
trigger1 = StateNo = 125
var(18) = 1310

[State -1, 214C]
type = VarSet
triggerall = command = "214c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = (fvar(16) = 2 && fvar(15) > 100) || fvar(16) = 3 
trigger1 = StateNo = 125
var(18) = 1320

[State -1, 214A]
type = VarSet
triggerall = command = "214a"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
trigger1 = StateNo = 125
var(18) = 1350

[State -1, 214B]
type = VarSet
triggerall = command = "214b"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
trigger1 = StateNo = 125
var(18) = 1360

[State -1, 214C]
type = VarSet
triggerall = command = "214c"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = fvar(16) != [2,3]
trigger1 = StateNo = 125
var(18) = 1360

[State -1, 214C]
type = VarSet
triggerall = command = "214c"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = (fvar(16) = 2 && fvar(15) > 100) || fvar(16) = 3 
trigger1 = StateNo = 125
var(18) = 1370

[State -1, 41236A]
type = VarSet
triggerall = command = "41236a"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(11400) = 0
trigger1 = StateNo = 125
var(18) = 1400

[State -1, 623A]
type = VarSet
triggerall = command = "623a"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
trigger1 = StateNo = 125
var(18) = 1200

[State -1, 623B]
type = VarSet
triggerall = command = "623b"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
trigger1 = StateNo = 125
var(18) = 1210

[State -1, 623C]
type = VarSet
triggerall = command = "623c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = fvar(16) != [2,3]
trigger1 = StateNo = 125
var(18) = 1210

[State -1, 623C]
type = VarSet
triggerall = command = "623c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = (fvar(16) = 2 && fvar(15) > 100) || fvar(16) = 3 
trigger1 = StateNo = 125
var(18) = 1220

[State -1, 421A]
type = VarSet
triggerall = command = "421a"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
trigger1 = StateNo = 125
var(18) = 1100

[State -1, 421B]
type = VarSet
triggerall = command = "421b"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
trigger1 = StateNo = 125
var(18) = 1110

[State -1, 421C]
type = VarSet
triggerall = command = "421c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = fvar(16) != [2,3]
trigger1 = StateNo = 125
var(18) = 1110

[State -1, 421C]
type = VarSet
triggerall = command = "421c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = (fvar(16) = 2 && fvar(15) > 100) || fvar(16) = 3 
trigger1 = StateNo = 125
var(18) = 1120

[State -1, 421A]
type = VarSet
triggerall = command = "421a"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
trigger1 = StateNo = 125
var(18) = 1150

[State -1, 421B]
type = VarSet
triggerall = command = "421b"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
trigger1 = StateNo = 125
var(18) = 1160

[State -1, 421C]
type = VarSet
triggerall = command = "421c"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = fvar(16) != [2,3]
trigger1 = StateNo = 125
var(18) = 1160

[State -1, 421C]
type = VarSet
triggerall = command = "421c"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = (fvar(16) = 2 && fvar(15) > 100) || fvar(16) = 3 
trigger1 = StateNo = 125
var(18) = 1170

[State -1, 41236B]
type = VarSet
triggerall = command = "41236b"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(11400) = 0
trigger1 = StateNo = 125
var(18) = 1410

[State -1, 41236C]
type = VarSet
triggerall = command = "41236c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(11400) = 0
triggerall = fvar(16) != [2,3]
trigger1 = StateNo = 125
var(18) = 1410

[State -1, 41236C]
type = VarSet
triggerall = command = "41236c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(11400) = 0
triggerall = (fvar(16) = 2 && fvar(15) > 100) || fvar(16) = 3 
trigger1 = StateNo = 125
var(18) = 1420

;----------------------------------------------------------------------
; Super Special Moves - Early Input
;----------------------------------------------------------------------

[State -1, 2141236A]
type = VarSet
triggerall = command = "2141236a"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = Power >= 1000
trigger1 = StateNo = 125
var(18) = 6200

[State -1, 2141236A]
type = VarSet
triggerall = command = "2141236b" || command = "2141236c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = Power = [1000,1999]
trigger1 = StateNo = 125
var(18) = 6200

[State -1, 2141236B]
type = VarSet
triggerall = command = "2141236b"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = Power >= 2000
trigger1 = StateNo = 125
var(18) = 6210

[State -1, 2141236B]
type = VarSet
triggerall = command = "2141236c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = Power = [2000,2999]
trigger1 = StateNo = 125
var(18) = 6210

[State -1, 2141236C]
type = VarSet
triggerall = command = "2141236c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = Power >= 3000
trigger1 = StateNo = 125
var(18) = 6220

[State -1, 236236A]
type = VarSet
triggerall = command = "236236a"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = Power >= 1000
trigger1 = StateNo = 125
var(18) = 6050

[State -1, 236236A]
type = VarSet
triggerall = command = "236236b" || command = "236236c"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = Power = [1000,1999]
trigger1 = StateNo = 125
var(18) = 6050

[State -1, 236236B]
type = VarSet
triggerall = command = "236236b"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = Power >= 2000
trigger1 = StateNo = 125
var(18) = 6060

[State -1, 236236B]
type = VarSet
triggerall = command = "236236c"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = Power = [2000,2999]
trigger1 = StateNo = 125
var(18) = 6060

[State -1, 236236B]
type = VarSet
triggerall = command = "236236c"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = Power >= 3000
trigger1 = StateNo = 125
var(18) = 6070

[State -1, 236236A]
type = VarSet
triggerall = command = "236236a"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = Power >= 1000
trigger1 = StateNo = 125
var(18) = 6000

[State -1, 236236A]
type = VarSet
triggerall = command = "236236b" || command = "236236c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = Power = [1000,1999]
trigger1 = StateNo = 125
var(18) = 6000

[State -1, 236236B]
type = VarSet
triggerall = command = "236236b"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = Power >= 2000
trigger1 = StateNo = 125
var(18) = 6010

[State -1, 236236B]
type = VarSet
triggerall = command = "236236c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = Power = [2000,2999]
trigger1 = StateNo = 125
var(18) = 6010

[State -1, 236236B]
type = VarSet
triggerall = command = "236236c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = Power >= 3000
trigger1 = StateNo = 125
var(18) = 6020

[State -1, 214214A]
type = VarSet
triggerall = command = "214214a"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = Power >= 1000
trigger1 = StateNo = 125
var(18) = 6150

[State -1, 214214A]
type = VarSet
triggerall = command = "214214b" || command = "214214c"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = Power = [1000,1999]
trigger1 = StateNo = 125
var(18) = 6150

[State -1, 214214B]
type = VarSet
triggerall = command = "214214b"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = Power >= 2000
trigger1 = StateNo = 125
var(18) = 6160

[State -1, 214214B]
type = VarSet
triggerall = command = "214214c"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = Power = [2000,2999]
trigger1 = StateNo = 125
var(18) = 6160

[State -1, 214214C]
type = VarSet
triggerall = command = "214214c"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = Power >= 3000
trigger1 = StateNo = 125
var(18) = 6170

[State -1, 214214A]
type = VarSet
triggerall = command = "214214a"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = Power >= 1000
trigger1 = StateNo = 125
var(18) = 6100

[State -1, 214214A]
type = VarSet
triggerall = command = "214214b" || command = "214214c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = Power = [1000,1999]
trigger1 = StateNo = 125
var(18) = 6100

[State -1, 214214B]
type = VarSet
triggerall = command = "214214b"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = Power >= 2000
trigger1 = StateNo = 125
var(18) = 6110

[State -1, 214214B]
type = VarSet
triggerall = command = "214214c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = Power = [2000,2999]
trigger1 = StateNo = 125
var(18) = 6110

[State -1, 214214C]
type = VarSet
triggerall = command = "214214c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = Power >= 3000
trigger1 = StateNo = 125
var(18) = 6120

;----------------------------------------------------------------------
; Hyper Special Moves - Early Input
;----------------------------------------------------------------------

[State -1, AA6BC]
type = VarSet
triggerall = command = "222z"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(31) = [1,2]
triggerall = ((Life*100)/LifeMax) <= 33
triggerall = Power >= 3000
trigger1 = StateNo = 125
var(18) = 7000
